Loading...
Searching...
No Matches
vspace::Result< T > Struct Template Reference

`#include <vspace.h>`

## Public Member Functions

| Result (T result)
| Result ()

## Data Fields

bool | ok
T | result

## Private Member Functions

T & | default_value ()

## Detailed Description

template<typename T>
struct vspace::Result< T >

Definition at line 1384 of file vspace.h.

## Constructor & Destructor Documentation

## Result() [1/2]

template<typename T>

vspace::Result< T >::Result | ( | T | result | ) |

inline

Definition at line 1387 of file vspace.h.

: ok(true), result(result) {
}
vspace::Result::result
T result
Definition vspace.h:1386
vspace::Result::ok
bool ok
Definition vspace.h:1385

## Result() [2/2]

template<typename T>

vspace::Result< T >::Result | ( |  | ) |

inline

Definition at line 1389 of file vspace.h.

: ok(false), result(default_value()) {
}
vspace::Result::default_value
T & default_value()
Definition vspace.h:1392

## Member Function Documentation

## default_value()

template<typename T>

T & vspace::Result< T >::default_value | ( |  | ) |

inline private

Definition at line 1392 of file vspace.h.

{
static T result;
return result;
}
vspace::Result
Definition vspace.h:1384

## Field Documentation

## ok

template<typename T>

bool vspace::Result< T >::ok

Definition at line 1385 of file vspace.h.

## result

template<typename T>

T vspace::Result< T >::result

Definition at line 1386 of file vspace.h.

The documentation for this struct was generated from the following file:

- kernel/oswrapper/vspace.h